javax.naming.directory

## Class InvalidSearchFilterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.InvalidSearchFilterException

All Implemented Interfaces:
  Serializable

    public class InvalidSearchFilterException
    extends NamingException

This exception is thrown when the specification of a search filter is invalid. The expression of the filter may be invalid, or there may be a problem with one of the parameters passed to the filter.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`InvalidSearchFilterException()` Constructs a new instance of InvalidSearchFilterException.
`InvalidSearchFilterException(String msg)` Constructs a new instance of InvalidSearchFilterException with an explanation.

### Method Summary

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidSearchFilterException

    public InvalidSearchFilterException()

Constructs a new instance of InvalidSearchFilterException. All fields are set to null.

#### InvalidSearchFilterException

    public InvalidSearchFilterException(String msg)

Constructs a new instance of InvalidSearchFilterException with an explanation. All other fields are set to null.

Parameters:
  `msg` - Detail about this exception. Can be null.
See Also:
  `Throwable.getMessage()`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.